core/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path( 'tlist/', include('tlist.urls')),
    path('admin/', admin.site.urls)
]

task_list/urls.py
from django.urls import path
from . import views
app_name = 'tlist'
urlpatterns = [
    path('', views.index, name = 'index'),
    path('<int:user_id>/', views.details, name = 'details'),
    path('comment/<int:task_id>/', views.comment, name = 'comment')
]

task_list/models.py
from django.db import models
class User(models.Model):
    name = models.CharField('Имя пользователя', max_length=30)
    lastname = models.CharField('Фамилия пользователя', max_length=30)
    email = models.CharField('Email пользователя', max_length=50)
    birth_date = models.DateField('Дата рождения')
    dept = models.CharField('Отдел', max_length=30)
    position = models.CharField('Должность', max_length=30)

    @property
    def countUncompleted(self):
        uncmltd_tasks = Task.objects.filter(user = self, status=0)
        return(len(uncmltd_tasks))

    def __str__(self):
        return self.name + ' ' + self.lastname

class Task(models.Model):
    user = models.ForeignKey(User, on_delete=models.CASCADE)
    name = models.CharField('Название задачи', max_length=30)
    desc = models.TextField('Описание задачи', max_length=200)
    status = models.BooleanField('Готовность задачи')
    deadline = models.DateField('Дедлайн')
    completed = models.DateField('Дата выполнения', blank=True, null=True)

    @property
    def comments(self):
        all_comments = Comment.objects.filter(task = self)
        return self.comment_set.all()

    @property
    def overdue(self):
        return self.completed > self.deadline 

    def __str__(self):
        users = User.objects.filter(id = self.user_id)
        users_str = [str(user) for user in users]
        users_str = ', '.join(users_str)
        return self.name + ' for ' + users_str

class Comment(models.Model):
    task = models.ForeignKey(Task, on_delete=models.CASCADE)
    author = models.CharField('Author', max_length=30)
    message = models.TextField('Comment message', max_length = 300)

    def __str__(self):
        return self.author + " comment about " + str(self.task)  
    

task_list/forms.py
from django.forms import ModelForm
from .models import Comment

class CommentForm(ModelForm):

    class Meta:
        model = Comment
        fields = ['task', 'author', 'message']

task_list/views.py
from django.shortcuts import render, redirect
from .models import Task, User, Comment
from .forms import CommentForm

def index(request):
    users = User.objects.all()
    tasks = User.objects.all()
    return render(request, 'tlist.html', {'users' : users, 'tasks' :tasks })

def details(request, user_id):
    user = User.objects.get(id = user_id)
    completed_tasks = Task.objects.filter(user = user_id, status=1).order_by('-completed')
    uncompleted_tasks = Task.objects.filter(user = user_id, status=0).order_by('deadline')
    context  = { 'user' : user, 
                 'completed_tasks' : completed_tasks,
                 'uncompleted_tasks' : uncompleted_tasks }
    return render(request, 'details.html', context)

def comment(request, task_id):
    errors = False
    if request.method == 'POST':
        form = CommentForm(request.POST)
        if form.is_valid:
            form.save()
        else:
            errors = True    
    form = CommentForm(initial={'task':task_id})
    task = Task.objects.get(id = task_id)
    comments = task.comments
    return render(request, 'comment.html', 
                {'form' : form, 'task_id': task_id, 
                'comments': comments})

task_list/templates/base.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    {% load static %}
   <link rel="stylesheet" type="text/css" href="{% static 'btrap.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'styles.css' %}"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task list</title>
</head>
<body>
    {% block content %}
    {% endblock %}
</body>
</html>

task_list/templates/comment.html
{% extends 'base.html' %}

{% block content %}
 <a href="{% url 'tlist:index' %}"> USER LIST</a> 
<form method="POST">
    {% csrf_token %}
    <p>{{form.as_p}} </p>
    </ul>
    <button>Submit</button>
</form>

<h2 class="ml-2"> Comments: </h2>
<ul>
{% for comment in comments %}
    <li>Author: {{comment.author}} </li>
   <li>Message: {{comment.message}} </li> </p>
{% endfor %}

{% endblock %}

task_list/templates/details.html
{% extends 'base.html' %}

{% block content %}

    <h2 class ="ml-1"> User info: </h2>
    <ul class="ml-1 pl-0">
        <li>Name: {{user.name}}</li>
        <li>Lastname: {{user.lastname}}</li>
        <li>Birth date: {{user.birth_date}}</li>
        <li>Email: {{user.email}}</li>
        <li>Department: {{user.dept}}</li>
        <li>Postion: {{user.position}}</li>
    </ul>
    <a class="ml-1 purple" href="{% url 'tlist:index' %}">USER LIST</a>
    <h3 class ="text-center red pb-2"> Uncompleted </h3>
    <ul class ="block-center">
    {% if uncompleted_tasks%}
      {% for task in uncompleted_tasks %}
      <li class="text-center grey"> <strong> Task#{{task.id}} </strong></li>
      <li> <strong>Name:</strong> {{ task.name }} </li>
      <li> <strong>Description:</strong> {{task.desc}}</li>
      <li class ="pb-4"> <strong>Deadline:</strong> {{task.deadline}}</li>
      <li> <a class="purple pt-0 mt-0" href="{% url 'tlist:comment' task.id%}"> Add comment </a> </li>
      {% endfor %}
    {% else %}
    <p class="text-center "> All tasks completed :)</p>
    {% endif %}
    </ul>

    <ul class="block-center"> 
      <h3 class ="text-center green pt-2"> Completed </h3   >
      {% for task in completed_tasks %}
          {% if completed_tasks %}
          <li class="grey text-center"> <strong> Task#{{task.id}} </strong></li>
          <li> <strong>Name:</strong> {{ task.name }} </li>
          <li> <strong>Description:</strong> {{task.desc}}</li>
          <li> <strong>Deadline:</strong> {{task.deadline}}</li>
          <li class="pb-4 {% if task.overdue%}underscored{% endif %}"> 
            <strong> Complete date: </strong> {{task.completed}}
          </li>
          <li > <a class="purple" href="{% url 'tlist:comment' task.id%}"> Add comment </a> </li>
          {% endif %}
      {% endfor %}
    </ul>

{% endblock %}

task_list/templates/tlist.html
{% extends 'base.html' %}

{% block content %}
    <table class="container-fluid"> 
    <tr class="ml-1 row">    
        <th class="col-md-4">User</th>
        <th class="col-md-4">Email</th>
        <th class="text-center col-md-4">Uncompleted task count</th>
    </tr>
    {% for user in users %}
   
      <tr class="ml-1 row">
      <td class="col-md-4"> 
          <a   href="{% url 'tlist:details'  user.id%}"> 
              {{ user.name}} {{user.lastname}}  
            </a> 
      </td>
      <td class="col-md-4"> {{ user.email }} </td>
      <td class="text-center col-md-4 {%if user.countUncompleted%} 
                            red 
                          {%else%} 
                            green 
                           {%endif%}"> 
        ({{ user.countUncompleted }}) 
    </td>
      </tr>
    {% endfor %}
    </table>
{% endblock %}